import { Col } from "react-bootstrap";

function RentedBoatTile(props: any) {
    return (
        <Col>
            <div className={`card-body shadow position-relative mb-1 rounded-2 ${props.overdue ? 'bg-danger' : 'bg-secondary'} rentedBoatTile`}
                 onClick={props.clickEvent} style={{ height: "90px" }}>
                <div className="text-uppercase fs-4 tile-label-boatName position-absolute ms-2 mt-1 top-0 start-0 text-white fw-bold"
                    style={{ maxWidth: "98%", overflow: "hidden", textOverflow: "ellipsis", whiteSpace: "nowrap" }}>{props.boatName}</div>
                <div className="tile-label-time position-absolute me-2 mt-2 top-0 end-0 text-white">{props.time}</div>
                <div className="tile-label-persons position-absolute ms-2 mb-2 bottom-0 start-0 text-white">{props.persons}</div>
                {/* Conditonally render the overdue text if it is set*/}
                {props.overdue &&
                    <div className="tile-label-overdue position-absolute me-2 mb-2 bottom-0 end-0 text-white fw-bold">Overdue!</div>
                }
            </div>
        </Col>

    );
}

export default RentedBoatTile;
